### Class

# WebKit2WebExtension DOMFile

#### Description

    class WebKit2WebExtension.DOMFile : WebKit2WebExtension.DOMBlob
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- WebKitDOMBlob
- WebKitDOMObject
- GObject

#### Instance methods

###### webkit_dom_file_get_name

No description available.

deprecated: 2.22

##### Methods inherited from WebKitDOMBlob (1)

###### webkit_dom_blob_get_size

No description available.

deprecated: 2.22

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit2WebExtension.DOMFile:name

No description available.

##### Properties inherited from WebKitDOMBlob (1)

###### WebKit2WebExtension.DOMBlob:size

No description available.

##### Properties inherited from WebKitDOMObject (1)

###### WebKit2WebExtension.DOMObject:core-object

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2WebExtensionDOMFileClass {
      WebKitDOMBlobClass parent_class;

    }

No description available.

###### Class members

`parent_class: WebKitDOMBlobClass`

  No description available.